import App from './App'
import uView from '@/uni_modules/uview-ui'
import api from "./api/index.js"

Vue.use(uView)

// 如此配置即可
uni.$u.config.unit = 'rpx'
Vue.prototype.$api = api

const vconsole = require('vconsole')
Vue.prototype.$vconsole = new vconsole()

// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif